Package org.springframework.jdbc.datasource.embedded

# Interface EmbeddedDatabase

All Superinterfaces:
  `CommonDataSource`, `DataSource`, `Wrapper`

public interface EmbeddedDatabase extends DataSource
`EmbeddedDatabase` serves as a handle to an embedded database instance.

An `EmbeddedDatabase` is also a `DataSource` and adds a `shutdown()` operation so that the embedded database instance can be shut down gracefully.

Since:
  3.0
Author:
  Keith Donald, Sam Brannen

## Method Summary

Modifier and Type
Method
Description
`void`
`shutdown()`
Shut down this embedded database.

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder, getParentLogger`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder, getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### shutdown

void shutdown()
Shut down this embedded database.